#
# spec file for package glx (Version 010330)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf tcl xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcl texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         glx
Copyright:    GPL
Group:        X11/Libraries
Provides:     glxg200 glxriva libgl libMesaGL.so.3 
Requires:     3ddiag
Autoreqprov:  on
Version:      010330
Release:      89
Source: glx-%{version}.tar.bz2
Source1: MesaLib-3.2.tar.bz2 
Source2: docs.tar.gz
Source3: glx.sh
Source4: glx.csh
Source5: MesaDemos-3.2.tar.bz2 
Source6: glext.h
Source7: glxext.h
Source8: switch2glx
Patch: glx.dif
BuildRoot: /tmp/buildroot_glx
Summary:      Utah-GLX for XFree86 3.3
Obsoletes:    glxg200 glxriva

%description
This is Utah-GLX, which is currently use for 'ATI Rage Pro' and
'nVidia Riva 128' boards for 3D hardware accelerated OpenGL with SuSE Linux.
Please note, that Utah-GLX can only be used with XFree86 3.3.

Authors:
--------
    Wittawat Yamwong <wy@suse.de>
    Gareth Hughes <garethh@bell-labs.com>
    Keith Whitwell <keithw@precisioninsight.com>
    Jim Duchek <jimduchek@ou.edu>
    Dave Schmenk <dschmenk@nvidia.com>

SuSE series: x3d

%package -n glx-devel
Group:        Development/Libraries
Provides:     glxdev glx:/usr/lib/libGL.so glxg200:/usr/lib/libGL.so glxriva:/usr/lib/libGL.so gldev gludev glutdev
Requires:     glx
Conflicts:    mesa-devel mesaglu-devel mesaglut-devel xf86glu-devel xf86glx-devel 
Autoreqprov:  on
Summary:      Utah-GLX development package
Obsoletes:    glxdev

%description -n glx-devel
Utah-GLX development package. This package should only be used in exceptional
cases. For OpenGL development the packages 'mesa-devel' + 'xf86glu-devel' +
'mesaglut-devel' are recommended.

Authors:
--------
    Wittawat Yamwong <wy@suse.de>
    Gareth Hughes <garethh@bell-labs.com>
    Keith Whitwell <keithw@precisioninsight.com>
    Jim Duchek <jimduchek@ou.edu>
    Dave Schmenk <dschmenk@nvidia.com>

SuSE series: x3d

%prep
%setup -n glx -b1 -b5
%patch

%build
%ifarch i386
export ARCH_FLAGS="--with-x86-asm --enable-mtrr --enable-agp"
%else
export ARCH_FLAGS="--without-x86-asm --disable-mtrr --disable-agp --disable-s3virge"
%endif
export AUTOGEN_FLAGS=" --without-mmx-asm --without-3dnow-asm %{_target_cpu}-suse-linux --sysconfdir=/etc"
./autogen.sh --prefix=/usr --with-moduledir=/usr/X11R6/lib/modules $AUTOGEN_FLAGS $ARCH_FLAGS --with-mesa=../Mesa-3.2/ --enable-GLU --enable-glut 
make 

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/etc/profile.d \
         ${RPM_BUILD_ROOT}/usr/lib \
         ${RPM_BUILD_ROOT}/usr/include \
         ${RPM_BUILD_ROOT}/usr/X11R6/lib/modules
make install DESTDIR=${RPM_BUILD_ROOT}
( cd ${RPM_BUILD_ROOT}/usr/lib
  mkdir GL
  mv libGL.so.1.0 GL/libGL.so.1.2.glx
  rm -f libGL.so; ln -sf GL/libGL.so.1.2.glx libGL.so
  rm -f libGLU.so; mv libGLU.so.1.2.0 libGLU.so
  rm -f libglut.so; mv libglut.so.3.7 libglut.so
  ln -s libGL.so libMesaGL.so
  ln -s libGLU.so libMesaGLU.so
)
cp $RPM_SOURCE_DIR/glext.h ${RPM_BUILD_ROOT}/usr/include/GL
cp $RPM_SOURCE_DIR/glxext.h ${RPM_BUILD_ROOT}/usr/include/GL
DOCS="Bugs-ToDo CHANGELOG HISTORY INSTALL New-Bugs README LICENSE"
DOCS2="docs/X_dma_hack.txt docs/debug.txt docs/direct.txt docs/profiling.txt \
       docs/render_buffer_interface.txt docs/README.mach64 docs/README.mga \
       docs/README.nv docs/README.s3virge docs/overview.txt docs/symbols.txt"
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/glx
install -o root -g root -m 644 $DOCS \
  ${RPM_BUILD_ROOT}/usr/share/doc/packages/glx
mkdir -p ${RPM_BUILD_ROOT}/usr/share/doc/packages/glx/docs
install -o root -g root -m 644 $DOCS2 \
  ${RPM_BUILD_ROOT}/usr/share/doc/packages/glx/docs
tar xvzf $RPM_SOURCE_DIR/docs.tar.gz -C \
  ${RPM_BUILD_ROOT}/usr/share/doc/packages/glx
install -o root -g root -m 644 $RPM_SOURCE_DIR/glx.sh \
  ${RPM_BUILD_ROOT}/etc/profile.d
install -o root -g root -m 644 $RPM_SOURCE_DIR/glx.csh \
  ${RPM_BUILD_ROOT}/etc/profile.d
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
cp ${RPM_SOURCE_DIR}/switch2glx $RPM_BUILD_ROOT/usr/X11R6/bin

%preun -n glx
cp -a usr/X11R6/bin/switch2glx usr/X11R6/bin/switch2glx.tmp
exit 0

%postun -n glx
test -f usr/X11R6/bin/switch2glx || \
  usr/X11R6/bin/switch2glx.tmp -removelinks
rm -f usr/X11R6/bin/switch2glx.tmp
exit 0

%files -n glx
%doc /usr/share/doc/packages/glx
/usr/lib/GL/libGL.so.1.2.glx
/usr/X11R6/lib/modules/glx.so
%config /etc/glx.conf
%config /etc/profile.d/glx.*
/usr/X11R6/bin/switch2glx

%files -n glx-devel
/usr/include/GL
/usr/lib/libGL.so
/usr/lib/libMesaGL.so
/usr/lib/libGLU.so
/usr/lib/libMesaGLU.so
/usr/lib/libglut.so

%changelog -n glx
* Tue Jun 12 2001 - sndirsch@suse.de
- added Requires:3ddiag to package glx
* Thu May 10 2001 - ro@suse.de
- added Requires: glx to subpackage glx-devel
* Thu May 10 2001 - sndirsch@suse.de
- /usr/lib/libGL.so is now a symbolic link to the correct libGL.so.1
  instead of a binary; resolves ldconfig confusion (Bug #7901)
* Mon Apr 09 2001 - sndirsch@suse.de
- added chrc.config to switch2glx script
* Fri Mar 30 2001 - sndirsch@suse.de
- updated to CVS sources 010330
- removed patch for servGL/serverglx/glx_log.c (already applied
  to CVS sources 010330)
* Fri Mar 23 2001 - sndirsch@suse.de
- dependancy changes acccording to http://w3.suse.de/~kkaempf/dep/dep.html
* Wed Mar 07 2001 - sndirsch@suse.de
- renamed glxdev --> glx-devel
* Wed Feb 28 2001 - schwab@suse.de
- Add ia64 support.
- Fix use of varargs.
- Add %%suse_update_config.
* Thu Feb 08 2001 - sndirsch@suse.de
- undo last change; the problem must be solved in
  /usr/include/asm/mtrr.h
* Thu Feb 08 2001 - sndirsch@suse.de
- added lx_suse to #neededforbuild and symbolic links to
  * <linux/config.h>
  * <linux/autconf.h>
  for i386
* Tue Feb 06 2001 - sndirsch@suse.de
- added GLU/glut libraries to glxdev
- does not remove links in %%postun of glx during an update any more
* Wed Jan 24 2001 - sndirsch@suse.de
- removed glx conflicts with
  * mlx
  * NVIDIA_GLX
* Thu Jan 18 2001 - sndirsch@suse.de
- libGL.so.1.2.glx is now located in /usr/lib/GL (problems with
  "ldconfig")
* Wed Jan 17 2001 - sndirsch@suse.de
- changed libGL.so.1.0.glx --> libGL.so.1.2.glx because of ldconfig,
  otherwise libGL.so.1 will be libGL.so.1.2.mesasoft after running
  ldconfig
* Sat Jan 13 2001 - sndirsch@suse.de
- fixed showstopper in switch2* script (Bug #5316)
* Thu Jan 11 2001 - ro@suse.de
- removed k_deflt from neededforbuild avoiding cycle
* Mon Jan 08 2001 - sndirsch@suse.de
- you don't have to execute switch2glx any more with complete path
* Mon Dec 18 2000 - sndirsch@suse.de
- removed "jade_dsl lynx jadetex tetex gs_lib sp_libs" from
  neededforbuild, so documentation is not built any longer
* Tue Dec 12 2000 - sndirsch@suse.de
- replaced 'id -u' with 'echo $UID' in switch2glx
* Sat Dec 09 2000 - sndirsch@suse.de
- added root verification in switch2glx
* Fri Nov 24 2000 - sndirsch@suse.de
- added "-test" option for switch2glx skript
* Tue Nov 21 2000 - sndirsch@suse.de
- updated to release 001121
* Mon Nov 13 2000 - ro@suse.de
- don't redefine abs
* Wed Nov 08 2000 - sndirsch@suse.de
- some bugfixes in building the package (use of DESTDIR)
* Wed Nov 08 2000 - sndirsch@suse.de
- added readlink function to switch2glx
* Fri Oct 06 2000 - sndirsch@suse.de
- glx package now no longer conflicts with other libGL
  packages, added switch2glx script for this
* Fri Sep 29 2000 - sndirsch@suse.de
- added i815 support
* Wed Sep 27 2000 - sndirsch@suse.de
- added glext.h/glxext.h to subpackage glxdev
* Fri Sep 01 2000 - sndirsch@suse.de
- moved .so files to glxdev (no longer symbolic links)
* Sat Jun 24 2000 - sndirsch@suse.de
- updated to CVS version 000623
* Sat Jun 10 2000 - sndirsch@suse.de
-  updated to CVS version 000608
* Fri Jun 02 2000 - sndirsch@suse.de
- replaced "Alias:" line in PAC file with "Obsolete:" line in
  Spec file
* Wed May 31 2000 - sndirsch@suse.de
- added package 'xfiregl1' as Conflict
* Fri May 19 2000 - sndirsch@suse.de
- added glxdev package for header files
* Tue May 09 2000 - @suse.de
- updated to Mesa 3.2 final
- added BuildRoot
* Thu Mar 30 2000 - sndirsch@suse.de
- updated Utah-GLX drivers to version 000330
* Wed Mar 01 2000 - sndirsch@suse.de
- disabled direct rendering code with GLX_NO_DIRECT environment variable
  in /etc/profile.d/glx.{sh,csh}
* Tue Feb 29 2000 - sndirsch@suse.de
- updated to CVS version 000229
- added support for 3D Rage LT Pro (used by many Notebooks!)
* Thu Feb 24 2000 - sndirsch@suse.de
- added fix for missing red/green colors in i810 driver
- disabled host type specific optimizations
* Fri Feb 18 2000 - sndirsch@suse.de
- updated to CVS version 000218
- some additional patches for nvidia code
* Tue Feb 15 2000 - sndirsch@suse.de
- changed i810 GLX driver to device name '/dev/agpgarti810'
* Tue Feb 15 2000 - sndirsch@suse.de
- added NVIDIA GLX driver again (now compiled against Mesa 3.2)
* Thu Feb 10 2000 - ro@suse.de
- replaced kernmod by k_deflt
* Wed Feb 09 2000 - sndirsch@suse.de
- changed group tag
* Sun Feb 06 2000 - sndirsch@suse.de
- fixed unresolved symbol error on SPARC
* Fri Feb 04 2000 - sndirsch@suse.de
- fixed compilation for SPARC
* Mon Jan 31 2000 - sndirsch@suse.de
- Power PC patch added
* Sun Jan 30 2000 - sndirsch@suse.de
- removed NVIDIA support, now included in package glxriva (again)
* Sat Jan 29 2000 - sndirsch@suse.de
- added working GLX module for NVIDIA boards based on Mesa 3.0
  (glx_riva.so)
* Fri Jan 28 2000 - sndirsch@suse.de
- updated to CVS version 000128
- better configuration documentation for the specific chipsets
* Thu Jan 27 2000 - sndirsch@suse.de
- some important changes in documentation
* Wed Jan 26 2000 - sndirsch@suse.de
- kernel 2.2 is no longer patched for the agpgart module, as this is
  already done in the SuSE kernel 2.2
- added some required sgml packages for building
* Tue Jan 25 2000 - sndirsch@suse.de
- updated to version 000125
- removed unrequired patch1
- added GLX documentation
* Tue Jan 18 2000 - sndirsch@suse.de
- updated to CVS version 000118
- one glx.so module for all GLX drivers !!!
* Sun Jan 16 2000 - sndirsch@suse.de
- added S3 ViRGE GLX driver
- some docs changes
- nVidia GLX drivers doesn't work for now (problems with XFree86 3.3.6!)
* Fri Jan 14 2000 - sndirsch@suse.de
- update to CVS version 000114
- added required patch for XFree86 3.3.6
- removed old GART module (not supported any longer)
* Mon Jan 10 2000 - sndirsch@suse.de
- using now /proc/bus/pci/devices instead of /proc/pci in %%post-install
- some doc changes
* Mon Jan 10 2000 - sndirsch@suse.de
- minor changes in %%post script
* Sun Jan 09 2000 - sndirsch@suse.de
- added Intel i810 GLX support
* Sun Jan 09 2000 - sndirsch@suse.de
- automatically create the correct GLX module entry in /etc/XF86Config
* Fri Jan 07 2000 - sndirsch@suse.de
- created new package glx, which replaces the packages
  * glxriva
  * glxg200
  * glxrage
